## org.eclipse.jst.jsf.taglibprocessing.attributevalues
Class JavaClassType

    java.lang.Object
      org.eclipse.jst.jsf.metadataprocessors.AbstractMetaDataEnabledFeature
          org.eclipse.jst.jsf.metadataprocessors.AbstractRootTypeDescriptor
              org.eclipse.jst.jsf.taglibprocessing.attributevalues.BindingType
                  org.eclipse.jst.jsf.taglibprocessing.attributevalues.DirectBindingType
                      org.eclipse.jst.jsf.taglibprocessing.attributevalues.ObjectType
                          org.eclipse.jst.jsf.taglibprocessing.attributevalues.JavaClassType

All Implemented Interfaces:
  IPossibleValues, IValidValues, IMetaDataEnabledFeature, ITypeDescriptor

    public class JavaClassType

extends ObjectType
implements IPossibleValues, IValidValues

Provides possible values and validates attribute values that should be fully qualified Java types. A type can be verified against multiple "valid-interfaces" and/or a "valid-superclass" from meta-data. Code checks to ensure the class can be instantiated (i.e. not abstract, anonymous or inner class) Search is scoped to within the current project only. (Until https://bugs.eclipse.org/bugs/show_bug.cgi?id=142044 is fixed, only the first found will be used)

Provisional API - subject to change

Field Summary
`static java.lang.String` `POSSIBLE_VALUES_INTERFACES_PROP_NAME` Trait name for valid interfaces
`static java.lang.String` `POSSIBLE_VALUES_SUPERCLASS_PROP_NAME` Trait name for valid superclass

Fields inherited from interface org.eclipse.jst.jsf.metadataprocessors.features.IPossibleValues
`POSSIBLE_VALUES_FOR_DISPLAY_PROP_NAME, POSSIBLE_VALUES_PROP_NAME, POSSIBLE_VALUES_SMALL_ICON_PROP_NAME`

Fields inherited from interface org.eclipse.jst.jsf.metadataprocessors.features.IValidValues
`VALID_VALUES_CODE_PROP_NAME, VALID_VALUES_MAX_PROP_NAME, VALID_VALUES_MESSAGE_PROP_NAME, VALID_VALUES_MIN_PROP_NAME, VALID_VALUES_PROP_NAME, VALID_VALUES_SEVERITY_PROP_NAME`

Constructor Summary
`JavaClassType()`

Method Summary
`java.util.List` `getPossibleValues()`
`java.util.List` `getValidationMessages()`
`boolean` `isValidValue(java.lang.String value)`

Methods inherited from class org.eclipse.jst.jsf.metadataprocessors.AbstractRootTypeDescriptor
`getFeatureAdapters, getTypeExtension, setTypeExtension`

Methods inherited from class org.eclipse.jst.jsf.metadataprocessors.AbstractMetaDataEnabledFeature
`getMetaDataContext, getStructuredDocumentContext, setMetaDataContext, setStructuredDocumentContext`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jst.jsf.metadataprocessors.IMetaDataEnabledFeature
`getMetaDataContext, getStructuredDocumentContext, setMetaDataContext, setStructuredDocumentContext`

Field Detail

### POSSIBLE_VALUES_INTERFACES_PROP_NAME

    public static final java.lang.String POSSIBLE_VALUES_INTERFACES_PROP_NAME

  Trait name for valid interfaces

  See Also:
    Constant Field Values

### POSSIBLE_VALUES_SUPERCLASS_PROP_NAME

    public static final java.lang.String POSSIBLE_VALUES_SUPERCLASS_PROP_NAME

  Trait name for valid superclass

  See Also:
    Constant Field Values

Constructor Detail

### JavaClassType

    public JavaClassType()

Method Detail

### getPossibleValues

    public java.util.List getPossibleValues()

  Specified by:
    `getPossibleValues` in interface `IPossibleValues`
  Returns:
    List of IPossibleValue instances representing possible values Implementer must ensure that an empty rather than null list is returned if no values are posssible.

### getValidationMessages

    public java.util.List getValidationMessages()

  Specified by:
    `getValidationMessages` in interface `IValidValues`
  Returns:
    List of IValidationMessage objects if invalid Must return empty list rather than null Call to isValidValue(String value) required before this should be called.

### isValidValue

    public boolean isValidValue(java.lang.String value)

  Specified by:
    `isValidValue` in interface `IValidValues`
  Parameters:
    `value` - fully resolved value as String
  Returns:
    true if is valid